<?php
/*
	Plugin Name: embedYouTube
	Plugin URI: https://bitbucket.org/stoddnet/embedyoutube
	Description: Adding a youtube video into a wordpress-post, simply by adding following tag: [youtube videoid]
	Version: 0.1
	Author: Jan Stoddart < code@stoddnet.de >
	Author URI: https://bitbucket.org/stoddnet
	License: GPL2
	
	Copyright 2011  Jan Stoddart  (email : code@stoddnet.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define( "VIDEO_WIDTH", "480" );
define( "VIDEO_HEIGHT", "320" );
define( "CLASS_NAME", "flashvideo" );
define( "YOUTUBE_REGEXP", "/\[youtube ([[:print:]]+)\]/" );
define( "ID_PLACEHOLDER", "###ID###" );
define( "HTML_CODE", "<object class=\"".CLASS_NAME."\" type=\"application/x-shockwave-flash\" width=\"".VIDEO_WIDTH."\" height=\"".VIDEO_HEIGHT."\" data=\"http://www.youtube.com/v/".ID_PLACEHOLDER."\"><param name=\"movie\" value=\"http://www.youtube.com/v/".ID_PLACEHOLDER."\" /></object>" );

function embedYouTube_plugin( $content )
{
	return ( preg_replace_callback( YOUTUBE_REGEXP, 'embedYouTube_plugin_callback', $content ) );
}

function embedYouTube_plugin_callback($match)
{
	$html = str_replace( ID_PLACEHOLDER, $match[1], HTML_CODE );
	
	return ( $html );
}

add_filter('the_content', 'embedYouTube_plugin');
add_filter('the_content_rss', 'embedYouTube_plugin');


?>